## ironic 4.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
SQLAlchemy<1.1.0,>=0.9.9
alembic>=0.8.0
automaton>=0.5.0 # Apache-2.0
eventlet>=0.17.4
lxml>=2.3
WebOb>=1.2.3
greenlet>=0.3.2
netaddr!=0.7.16,>=0.7.12
paramiko>=1.13.0
iso8601>=0.1.9
python-neutronclient>=2.6.0
python-glanceclient>=0.18.0
python-keystoneclient>=1.6.0
python-swiftclient>=2.2.0
pytz>=2013.6
stevedore>=1.5.0 # Apache-2.0
pysendfile>=2.0.0
websockify>=0.6.1
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
pecan>=1.0.0
requests>=2.5.2
six>=1.9.0
jsonpatch>=1.1
WSME>=0.7
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware>=2.0.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
oslo.versionedobjects>=0.9.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0
