## ironic 4.2.5

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 iso8601>=0.1.9
 python-neutronclient>=2.6.0
 python-glanceclient>=0.18.0
-python-keystoneclient>=1.6.0
+python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
 python-swiftclient>=2.2.0
 pytz>=2013.6
 stevedore>=1.5.0 # Apache-2.0
@@ -27,19 +27,19 @@
 oslo.rootwrap>=2.0.0 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.middleware>=2.8.0 # Apache-2.0
+oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 pecan>=1.0.0
-requests>=2.5.2
+requests!=2.8.0,!=2.9.0,>=2.5.2
 six>=1.9.0
 jsonpatch>=1.1
 WSME>=0.7
 Jinja2>=2.6 # BSD License (3 clause)
-keystonemiddleware>=2.0.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
+keystonemiddleware!=2.4.0,>=2.0.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 oslo.versionedobjects>=0.9.0
 jsonschema!=2.5.0,<3.0.0,>=2.0.0
