=== debian/changelog ===
ironic (1:4.2.5-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).

 -- David Della Vecchia <ddv@canonical.com>  Thu, 13 Oct 2016 12:33:54 -0400

ironic (1:4.2.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Sep 2015 11:58:26 +0000
