=== debian/changelog ===
ironic (1:5.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 14:30:47 -0400

ironic (1:4.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 11:54:12 -0500
