=== debian/control ===
--- 
+++ 
@@ -12,59 +12,65 @@
 Build-Depends-Indep: alembic (>= 0.8.0),
                      python-automaton (>= 0.5.0),
                      python-babel (>= 1.3),
+                     python-bashate (>= 0.2),
                      python-coverage (>= 3.6),
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
-                     python-glanceclient (>= 1:0.18.0),
+                     python-futurist (>= 0.11.0),
+                     python-glanceclient (>= 1:2.0.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-ironicclient (>= 0.8.0),
+                     python-ironic-lib (>= 1.1.0),
+                     python-ironicclient (>= 1.1.0),
                      python-iso8601 (>= 0.1.9),
-                     python-jinja2 (>= 2.6),
+                     python-jinja2 (>= 2.8),
                      python-jsonpatch (>= 1.1),
                      python-jsonschema (>= 2.0.0),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 2.0.0),
-                     python-lxml (>= 2.3),
                      python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
                      python-neutronclient (>= 1:2.6.0),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-os-testr (>= 0.4.1),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.middleware (>= 2.8.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 2.6.1),
+                     python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.rootwrap (>= 2.0.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
-                     python-oslo.versionedobjects (>= 0.9.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.versionedobjects (>= 0.13.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 1.13.0),
                      python-pbr (>= 1.8),
                      python-pecan (>= 1.0.0),
+                     python-psutil,
                      python-psycopg2 (>= 2.5),
                      python-pymysql (>= 0.6.2),
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-retrying (>= 1.2.3),
                      python-sendfile (>= 2.0.0),
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-pecanwsme (>= 0.8),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
                      python-subunit (>= 0.0.18),
                      python-swiftclient (>= 1:2.2.0),
                      python-testtools (>= 1.4.0),
+                     python-testresources (>= 0.2.4),
+                     python-testscenarios (>= 0.4),
                      python-tz (>= 2013.6),
                      python-webob (>= 1.2.3),
-                     python-wsme (>= 0.7),
+                     python-webtest (>= 2.0),
+                     python-wsme (>= 0.8),
                      subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18),
                      websockify (>= 0.6.1),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
@@ -74,46 +80,47 @@
 Architecture: all
 Depends: alembic (>= 0.8.0),
          python-automaton (>= 0.5.0),
-         python-eventlet (>= 0.17.4),
-         python-glanceclient (>= 1:0.18.0),
+         python-eventlet (>= 0.18.2),
+         python-futurist (>= 0.11.0),
+         python-glanceclient (>= 1:2.0.0),
          python-greenlet (>= 0.3.2),
-         python-iso8601 (>= 0.1.9),
-         python-jinja2 (>= 2.6),
+         python-ironic-lib (>= 1.1.0),
+         python-jinja2 (>= 2.8),
          python-jsonpatch (>= 1.1),
          python-jsonschema (>= 2.0.0),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 2.0.0),
-         python-lxml (>= 2.3),
          python-netaddr (>= 0.7.12),
          python-neutronclient (>= 1:2.6.0),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.middleware (>= 2.8.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 2.6.1),
+         python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.rootwrap (>= 2.0.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
-         python-oslo.versionedobjects (>= 0.9.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
+         python-oslo.versionedobjects (>= 0.13.0),
          python-paramiko (>= 1.13.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
+         python-psutil,
          python-pymysql (>= 0.6.2),
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-retrying (>= 1.2.3),
          python-sendfile (>= 2.0.0),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
          python-swiftclient (>= 1:2.2.0),
          python-tz (>= 2013.6),
          python-webob (>= 1.2.3),
-         python-wsme (>= 0.7),
+         python-wsme (>= 0.8),
          websockify (>= 0.6.1),
          ${misc:Depends},
          ${python:Depends},
