=== debian/changelog ===
ironic (1:5.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 13:49:05 +0000

ironic (1:5.1.2-1) unstable; urgency=high

  * New upstream release:
    - addresses CVE-2016-4985: Node information including credentials exposed
      to unathenticated users. Includes upstream patch: Mask password on agent
      lookup according to policy (Closes: #827886).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Jun 2016 10:05:13 +0200

ironic (1:5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Jun 2016 00:37:13 +0200

ironic (1:5.1.0-2) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Allow sudo for ironic-rootwrap
    (Thanks to Jan Sára for providing fix)
  * Fixed d/watch to ignore old year-based versioning schema

 -- Ondřej Nový <novy@ondrej.org>  Fri, 27 May 2016 11:37:10 +0000

ironic (1:5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed debian/patches/Fix_sphinx_docs_build.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 14:05:32 +0000

ironic (1:5.0.0-2) experimental; urgency=medium

  * Do not use the Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:36:22 +0000

ironic (1:5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Tolerate_roles_in_context.RequestContext.patch applied upstream.
  * Rebased the other patches.
  * Added -b html when generating the sphinx doc.
  * Added Fix_sphinx_docs_build.patch to fix doc building, plus -a flag.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:31:00 +0100

ironic (1:4.3.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch:
    - Tolerate_roles_in_context.RequestContext.patch
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:27:03 +0000

ironic (1:4.2.1-4) unstable; urgency=medium

  * Added missing q-text-as-data depends in ironic-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:43:31 +0000

ironic (1:4.2.1-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:24:47 +0000

ironic (1:4.2.1-2) unstable; urgency=medium

  * Downgrades python-scciclient from Depends to Recommends (Closes: #803227).

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Oct 2015 11:48:23 +0100

ironic (1:4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Added python-pil as build-dep.
  * Fixed minimal version of drivers.
  * Fixed the unit test runner.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2015 20:58:58 +0000

ironic (1:4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Bumped minimum python-pbr version to 1.8.
  * Added Danish translation of the debconf templates, thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #800458).
  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #799458).
  * New ironic-api depends on openstackclient.
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:01:00 +0000

ironic (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added python-scciclient as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 17:42:33 +0200

ironic (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch to allow any pytz version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 23:33:23 +0200

ironic (2015.1.0-5) unstable; urgency=medium

  * Rebuilt with SQLAlchemy >= 1.0 (Closes: #794309).
  * Updated Italian debconf translation (Closes: #794371).
  * Added Spanish debconf translation (Closes: #792183).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 07:34:26 +0000

ironic (2015.1.0-4) unstable; urgency=medium

  * Removes Suggests: python-suds (Closes: #788088).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:30:47 +0200

ironic (2015.1.0-3) unstable; urgency=medium

  * Added fr.po thanks to Julien Patriarca (Closes: #786499).

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2015 14:45:25 +0000

ironic (2015.1.0-2) unstable; urgency=medium

  * Added pt.po translation of debconf (Closes: #784598).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:12:30 +0200

ironic (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed wrong ucfr call (Closes: #783862).
  * Fixed gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:27:04 +0000

ironic (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Now handles rabbitmq & keystone auth credentials & ironic-api endpoint
    using debconf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Dec 2014 16:22:59 +0100

ironic (2014.2-2) experimental; urgency=medium

  * Cleans /var/lib/ironic/{cache, ironicdb} on purge. (Closes: #768561)
  * Adds dh-python as build-depends.
  * Added pysendfile -> python-sendfile in debian/pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2014 14:59:33 +0000

ironic (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Oct 2014 15:52:15 +0800

ironic (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.

