=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-amqplib,
                     python-automaton,
                     python-babel,
                     python-bashate,
                     python-coverage,
                     python-doc8,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-ironic-lib (>= 1.1.0),
                     python-ironicclient (>= 1.1.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2 (>= 2.8),
                     python-jsonpatch,
                     python-jsonschema,
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-pecan (>= 1.0.0),
                     python-pil,
                     python-proliantutils (>= 2.1.5),
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pyghmi (>= 0.8.0),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.8.1),
                     python-retrying,
                     python-seamicroclient (>= 0.4.0),
                     python-sendfile,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme,
                     python-sphinxcontrib.seqdiag,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-webob,
                     python-webtest,
                     python-wsme (>= 0.8),
                     subunit,
                     testrepository,
                     websockify (>= 0.6.1),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/ironic.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/ironic.git
Homepage: https://github.com/openstack/ironic

Package: python-ironic
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-amqplib,
         python-automaton,
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-ironic-lib (>= 1.1.0),
         python-jinja2 (>= 2.8),
         python-jsonpatch,
         python-jsonschema,
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-proliantutils (>= 2.1.5),
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pyghmi (>= 0.8.0),
         python-pymysql,
         python-pysnmp4,
         python-requests (>= 2.8.1),
         python-retrying,
         python-seamicroclient (>= 0.4.0),
         python-sendfile,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz,
         python-webob,
         python-wsme (>= 0.8),
         websockify (>= 0.6.1),
         ${misc:Depends},
         ${python:Depends},
Conflicts: python-cjson,
Recommends: python-scciclient (>= 0.2.0),
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

Package: ironic-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         ipmitool,
         python-ironic (= ${binary:Version}),
         sudo,
         sqlite3,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-api
Architecture: all
Depends: ironic-common,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-conductor
Architecture: all
Depends: ironic-common,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.
