=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ironic/tags .*/(\d\d?\.[\d\.]+)\.tar\.gz
